Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgTerrain::DataSet::CompositeSource Class Reference

Inheritance diagram for osgTerrain::DataSet::CompositeSource:

[legend]
List of all members.

## Public Types
typedef std::vector< osg::ref_ptr< Source > > | SourceList
typedef std::vector< osg::ref_ptr< CompositeSource > > | ChildList
typedef base_source_iterator< DefaultSourceAdvancer > | source_iterator
typedef base_source_iterator< LODSourceAdvancer > | source_lod_iterator
## Public Member Functions
| CompositeSource (CompositeType type=GROUP)
void | setType (CompositeType type)
CompositeType | getType () const
void | setSortValueFromSourceDataResolution ()
void | sort ()
## Public Attributes
CompositeType | _type
SourceList | _sourceList
ChildList | _children

## Member Typedef Documentation

typedef std::vector< osg::ref_ptr< CompositeSource> > osgTerrain::DataSet::CompositeSource::ChildList

typedef base_source_iterator<DefaultSourceAdvancer> osgTerrain::DataSet::CompositeSource::source_iterator

typedef base_source_iterator<LODSourceAdvancer> osgTerrain::DataSet::CompositeSource::source_lod_iterator

typedef std::vector< osg::ref_ptr<Source> > osgTerrain::DataSet::CompositeSource::SourceList

## Constructor & Destructor Documentation

osgTerrain::DataSet::CompositeSource::CompositeSource | ( | CompositeType | type = GROUP | ) | `[inline]`

## Member Function Documentation

CompositeType osgTerrain::DataSet::CompositeSource::getType | ( |  | ) | const`[inline]`

void osgTerrain::DataSet::CompositeSource::setSortValueFromSourceDataResolution | ( |  | ) |

void osgTerrain::DataSet::CompositeSource::setType | ( | CompositeType | type | ) | `[inline]`

void osgTerrain::DataSet::CompositeSource::sort | ( |  | ) |

## Member Data Documentation

ChildList osgTerrain::DataSet::CompositeSource::_children

SourceList osgTerrain::DataSet::CompositeSource::_sourceList

CompositeType osgTerrain::DataSet::CompositeSource::_type

The documentation for this class was generated from the following file:

- DataSet